# Tree Command

```
tree -I '__pycache__|.git|.pytest_cache|*.pyc|venv|.venv|env' --dirsfirst
```

# Core Files

Read-only:
```
design_docs/external_docs/litellm_docs.md
design_docs/external_docs/openai/openai_reasoning_models/openai_model_spec.md
design_docs/external_docs/openai/openai_reasoning_models/openai_reasoning_models.md
```

# Broad Editable

```
CONTRIBUTING.md
aider/coders/architect_coder.py
aider/coders/architect_prompts.py
aider/commands.py
aider/main.py
aider/models.py
aider/sendchat.py
aider/types.py
aider/website/docs/config/options.md
brade/main.py
design_docs/support_o3/plan_support_o3.md
pyproject.toml
tests/basic/test_architect_coder.py
tests/basic/test_main.py
tests/basic/test_models.py
tests/basic/test_sendchat.py
```

# Model Parameters Path

```
CONTRIBUTING.md
pyproject.toml
aider/types.py
aider/commands.py
aider/main.py
aider/models.py
aider/sendchat.py
tests/basic/test_sendchat.py
design_docs/support_o3/plan_support_o3.md
```

# Reasoning Effort

Editable:
```
CONTRIBUTING.md
aider/coders/base_coder.py
aider/commands.py
aider/main.py
aider/models.py
aider/sendchat.py
aider/types.py
design_docs/support_o3/plan_support_o3.md
pyproject.toml
tests/basic/test_sendchat.py
```

Read-Only:
```
design_docs/external_docs/openai/openai_reasoning_models/openai_model_spec.md
design_docs/external_docs/openai/openai_reasoning_models/openai_reasoning_models.md
```

